libebook::HTMLHelpStream::Impl Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libebook::HTMLHelpStream::Impl Struct Reference

## Public Member Functions
| Impl (const RVNGInputStreamPtr_t &input)
unsigned | getFileCount ()
unsigned | getSysfileCount ()
const RVNGInputStreamPtr_t | getSubStream (mschmd_file *file)
| Impl (const Impl &)
Impl & | operator= (const Impl &)

## Public Attributes
const RVNGInputStreamPtr_t | stream
MSPackSystem | system
shared_ptr< mschm_decompressor > | decompressor
mschmd_header * | header
FileCache | cache
unsigned | fileCount
unsigned | sysfileCount
bool | fileCountSet
bool | sysfileCountSet

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

libebook::HTMLHelpStream::Impl::Impl | ( | const RVNGInputStreamPtr_t & | input | ) |

## ◆ Impl() [2/2]

libebook::HTMLHelpStream::Impl::Impl | ( | const Impl & |  | ) |

## Member Function Documentation

## ◆ getFileCount()

unsigned libebook::HTMLHelpStream::Impl::getFileCount | ( |  | ) |

## ◆ getSubStream()

const RVNGInputStreamPtr_t libebook::HTMLHelpStream::Impl::getSubStream | ( | mschmd_file * | file | ) |

## ◆ getSysfileCount()

unsigned libebook::HTMLHelpStream::Impl::getSysfileCount | ( |  | ) |

## ◆ operator=()

Impl& libebook::HTMLHelpStream::Impl::operator= | ( | const Impl & |  | ) |

## Member Data Documentation

## ◆ cache

FileCache libebook::HTMLHelpStream::Impl::cache

## ◆ decompressor

shared_ptr<mschm_decompressor> libebook::HTMLHelpStream::Impl::decompressor

Referenced by getSubStream().

## ◆ fileCount

unsigned libebook::HTMLHelpStream::Impl::fileCount

Referenced by getFileCount().

## ◆ fileCountSet

bool libebook::HTMLHelpStream::Impl::fileCountSet

Referenced by getFileCount().

## ◆ header

mschmd_header* libebook::HTMLHelpStream::Impl::header

Referenced by getFileCount(), and getSysfileCount().

## ◆ stream

const RVNGInputStreamPtr_t libebook::HTMLHelpStream::Impl::stream

## ◆ sysfileCount

unsigned libebook::HTMLHelpStream::Impl::sysfileCount

Referenced by getSysfileCount().

## ◆ sysfileCountSet

bool libebook::HTMLHelpStream::Impl::sysfileCountSet

Referenced by getSysfileCount().

## ◆ system

MSPackSystem libebook::HTMLHelpStream::Impl::system

Referenced by getSubStream().

The documentation for this struct was generated from the following file:

- HTMLHelpStream.cpp